Name: steghide
Summary: A steganography program
Version: 0.5.1
Release: 10%{?dist}

License: GPLv2
Group: Applications/File

URL: http://steghide.sourceforge.net
Source: http://prdownloads.sourceforge.net/steghide/steghide-%{version}.tar.gz
Patch0: steghide-0.5.1-gcc41.patch
Patch2: steghide-0.5.1-mhash.patch
patch3: steghide-0.5.1-gcc43.patch

BuildRequires: gettext-devel, libtool, automake, autoconf,
BuildRequires: libmcrypt-devel, mhash-devel, libjpeg-devel, zlib-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)

Requires: libmcrypt >= 2.5.8-2

%description
Steghide is a steganography program that is able to hide data in various kinds
of image- and audio-files. The color- respectivly sample-frequencies are not
changed thus making the embedding resistant against first-order statistical
tests. Features of steghide include compression and encryption of embedded
data,

embedding of a checksum to verify the integrity of the extracted data and
support for jpeg, bmp, wav and au files.

%prep
%setup
%patch0 -p1 
%patch2 -p1
%patch3 -p1 -b .gcc43

%build
libtoolize --force
autoreconf
%configure  
make %{?_smp_mflags} CXXFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -rf $RPM_BUILD_ROOT/%{_docdir}/%{name}/*

%find_lang %name

%check
make check

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root,-)

%{_bindir}/steghide
%{_mandir}/man1/steghide.1.gz

%doc ABOUT-NLS BUGS COPYING CREDITS HISTORY README TODO

%Changelog
* Sun Feb 10 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.5.1-9
- Rebuild for gcc-4.3

* Thu Jan 17 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.5.1-8
- Fix issues for compiling with gcc-4.3

* Tue Oct  9 2007 Jochen Schmitt <Jochen herr-schmitt de> 0.5.1-7
- Add Req to libmcrypt >= 2.5.8-3 (#275641)

* Fri Aug 31 2007 Lubomir Kundrak <lkundrak@redhat.com> 0.5.1-5
- Configuring belongs to the prep phase not build.

* Wed Aug  8 2007 Jochen Schmitt <Jochen herr-schmitt de> 0.5.1-4
- Changing license tag

* Tue Apr 17 2007 Jochen Schmitt <Jochen herr-schmitt de> 0.5.1-3
- Fix build problems on FC-7 (#235505)

* Sun Sep  3 2006 Jochen Schmitt <Jochen herr-schmitt de> 0.5.1-2
- Rebuild for FC-6

* Tue Jul 11 2006 Jochen Schmitt <Jochen her-schmitt de> 0.5.1-1
- Initial RPM
